KATE(1)

NAME
kate - Um editor de texto avançado para o KDE

SYNOPSIS

kate [-s, --start name] [-u, --use] [-p, --pid pid] [-e, --encoding name] [-l, --line line] [-c, --column column] [-i, --stdin] [KDE Generic Options] [Qt Generic Options]

DESCRIçãO

O Kate é o Editor de Texto Avançado do KDE.

O Kate também oferece o componente de edição para várias aplicações, sob o nome KWrite.

Algumas das várias funcionalidades do Kate incluem o realce de sintaxe configurável para as linguagens que vão do C e C++ até ao HTML, passando por programas em 'bash', a capacidade de criar e manter projectos, uma interface para vários documentos (MDI) e um emulador de terminal incorporado.

Mas o Kate é mais do que um editor para programadores. A sua capacidade de abrir vários ficheiros de uma vez torna-o ideal para editar os vários ficheiros de configuração do UNIX®. Este documento foi escrito no Kate.

OPçõES

-s, --start nome
    Inicia o Kate com uma dada sessão.

-u, --use
    Use an already running Kate

-p, --pid  pid
    Only try to reuse kate instance with this pid

-e, --encoding  nome
    Modificar a codificação do ficheiro a abrir Poderá usar esta opção para obrigar a abrir um documento no formato UTF-8, por exemplo. (O comando iconv -l oferece uma lista com as codificações, o que poderá ser útil para si.)

-l, --line  linha
    Navegar para esta linha

-c, --column  coluna
    Navegar para esta coluna

-i, --stdin
    Lê o conteúdo do stdin

VEJA TAMBéM

Existe documentação do utilizador mais detalhada em help:/kate (tanto poderá indicar este URL no Konqueror, como executar o khelpcenter help:/kate).

There is also further information available at the Kate website: http://kate.kde.org/.

EXEMPLOS

Para abrir um ficheiro chamado codigo.cpp na coluna 15 e linha 25 numa janela existente do Kate, poderá usar:

    kate -c 15 -l 25 -u codigo.cpp

Se tiver uma ligação à Internet, poderá tirar partido da transparência da rede do KDE para abrir um ficheiro num servidor de FTP. Se não tiver permissões de escrita no servidor remoto, o ficheiro será aberto apenas para leitura e ser-lhe-á pedido o nome do ficheiro local no qual deseja gravar, se fizer alterações nele. Se tiver permissões para escrita, as alterações serão feitas de forma transparente pela rede.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

AUTORES

O responsável pela manutenção do Kate é o Christoph Cullmann <cullmann@kde.org>. Uma lista completa dos autores e contribuintes para o projecto está disponível no manual de utilizador mencionado acima.

AUTHOR
Lauri Watts.